package bjoerks.app;

import java.io.Serializable;

import android.app.Activity;

public class SessionControler implements Serializable {

	private static final long serialVersionUID = 3532098501638049304L;
	
	private Activity parrentActivity;
	private BusinessModel model;

	private MyMainScreenControler mainScreenCtrl;
	private MyExtraScreenControler 	myExtraScreenCtrl;

    public SessionControler() {
    }
    public void Start(Activity parrentActivity) {		// kaldes fra Activity
		this.parrentActivity = parrentActivity;
		model = new BusinessModel();
		MainScreenActivate(true);
	}
    public void ReStart(Activity parrentActivity) {		// kaldes fra Activity
    	this.parrentActivity = parrentActivity;
		MainScreenActivate(false);
	}
    public Activity GetActivity() {
		return this.parrentActivity;
	}
    public BusinessModel GetBusinessModel() {
		return this.model;
	}
    private void MainScreenActivate(boolean alwaysInit) {
    	if (mainScreenCtrl == null)
    		mainScreenCtrl = new MyMainScreenControler(this);
    	mainScreenCtrl.Activate(alwaysInit);
    }
    public void MyMainControlerStop() {
    	parrentActivity.finish();
    }
    public void AcrivateMyExtraScreenControler() {
    	if (myExtraScreenCtrl == null)
    		myExtraScreenCtrl = new MyExtraScreenControler(this);
    	myExtraScreenCtrl.Activate(true);
    }
    public void MyExtraScreenControlerReturn() {
    	mainScreenCtrl.Activate(true);
    }
}
